Subject: Re: configure probs (sed)
From: "OFDST Winkler Dr., Jens" <[email-masked]>
To: "'John A. Turner'" <[email-masked]>, XEmacs on NT <[email-masked]>
Cc: Cygwin mailing list <[email-masked]>, [email-masked]
Date: Wed, 6 Sep 2000 17:09:05 +0200

John A. Turner wrote: 
> Von:	John A. Turner [SMTP:[email-masked]]
> Gesendet am:	Dienstag, 5. September 2000 14:09
> An:	OFDST Winkler Dr., Jens
> Cc:	XEmacs on NT; Cygwin mailing list; [email-masked]
> Betreff:	Re: configure probs (sed)
> 
> [including the cygwin and gnuplot-beta lists as well...]
> 
> "OFDST Winkler Dr., Jens" wrote:
> 
> > > -----Ursprüngliche Nachricht-----
> > > Von:  John A. Turner [SMTP:[email-masked]]
> > > Gesendet am:  Freitag, 4. August 2000 08:04
> > > An:   XEmacs on NT
> > > Betreff:      configure probs (sed)
> > >
> > > I've been building cygwin/native successfully for a while now, but
> > > after updating both cygwin (to 1.1.3) and cvs'upping XEmacs, I'm
> > > now seeing this during configure:
> > >
> > > creating src/config.h
> > > sed: file conftest.frag line 1: Unterminated `s' command
> > > sed: file conftest.frag line 1: Unterminated `s' command
> > > creating lwlib/config.h
> > > sed: file conftest.frag line 1: Unterminated `s' command
> > > sed: file conftest.frag line 1: Unterminated `s' command
> 
> >         [OFDST Winkler Dr., Jens]  I have the same problems with cygwin
> > 1.1.4 and XEmacs 21.1.12
> >         [OFDST Winkler Dr., Jens]  I searched through the cygwin and
> XEmacs
> > mailing lists but find only
> >         the description of the problem no resolution. Please help
> 
> I've just been meaning to follow up on this and ask again - here's
> the status for me:
> 
> o I'm now at Cygwin 1.1.4(0.26/3/2) 2000-08-03
> 
> o I'm still unable to configure XEmacs due to the above since my original
>   report
> 
> o my XEmacs tree is up-to-date as of last night
> 
> o I also checked out gnuplot to try building a cygwin version of it (with
>   pm3d, but that's beside the point here) - anyway, I hit the same problem
>   during configure:
> 
> [snip]
> 
> checking for gd.h... yes
> checking for png_info_init in -lpng... no
> - see term/png.trm for download details
> checking for emacs... (cached) t
> checking for pdflatex... (cached) pdflatex
> creating ./config.status
> creating Makefile
> sed: file conftest.s1 line 30: Unterminated `s' command
> creating config/Makefile
> sed: file conftest.s1 line 30: Unterminated `s' command
> creating demo/Makefile
	  ... 
> [snip]
> 
> o lastly, while searching the Cygwin archives I found this thread:
> 
>   http://sources.redhat.com/ml/cygwin/2000-06/msg00962.html
> 
>   which seems to indicate it may be a bug in the respective packages
>   rather than Cygwin, but it's not completely clear
> 
> I spent a good bit of time with the XEmacs configure, trying to find the
> actual sed command causing the problems (trying to make it be more
> verbose,
> not delete temporary files after using, etc.), but I must confess that I
> didn't make much headway.
> 
> any ideas?
> 
> -John Turner

	I've found a workaround (unfortunately not the definite solution):
	in config.status are some ^M at wrong places. I believe it's not a 
	textmode-binarymode-mount-problem because there are only 8 ^M (or
so)
	in my config.status.
	After removing the ^M all is o.k.
	What (or who :-) ) do brings the ^M in the config.status? I have two
candidates:
	redirecting the output in the shell
	or the echo-command from the shell
	(i believe this because this are the commands in the configure
script generating
	the config.status file)

	Who knows more?

	Jens Winkler

--
Want to unsubscribe from this list?
Send a message to [email-masked]